var shares = null;

/**
 * 更新分享服务
 */
function updateSerivces() {
	plus.share.getServices(function(s) {
		shares = {};
		for(var i in s) {
			var t = s[i];
			shares[t.id] = t;
		}
	}, function(e) {});
}
// 分析链接
function shareHref(sharehref,sharehrefTitle,sharehrefDes) {
	var shareBts = [];
	// 更新分享列表
	var ss = shares['weixin'];
	ss && ss.nativeClient && (shareBts.push({ title: '微信朋友圈', s: ss, x: 'WXSceneTimeline' }),
		shareBts.push({ title: '微信好友', s: ss, x: 'WXSceneSession' }));
	//			ss=shares['qq'];
	//			ss&&ss.nativeClient&&shareBts.push({title:'QQ',s:ss});
	// 弹出分享列表
	shareBts.length > 0 ? plus.nativeUI.actionSheet({ title: '分享链接', cancel: '取消', buttons: shareBts }, function(e) {
		(e.index > 0) && shareAction(shareBts[e.index - 1], true,sharehref,sharehrefTitle,sharehrefDes);
	}) : plus.nativeUI.alert('当前环境无法支持分享链接操作!');
}

// 打开分享
function shareShow(sharehref,sharehrefTitle,sharehrefDes){
	var shareBts=[];
	// 更新分享列表
	var ss=shares['weixin'];
	if(navigator.userAgent.indexOf('qihoo')<0){  //在360流应用中微信不支持分享图片
		ss&&ss.nativeClient&&(shareBts.push({title:'微信好友',s:ss,x:'WXSceneSession'}));
	}
	// 弹出分享列表
	shareBts.length>0?plus.nativeUI.actionSheet({title:'分享',cancel:'取消',buttons:shareBts},function(e){
		(e.index>0)&&shareAction(shareBts[e.index-1],false,sharehref,sharehrefTitle,sharehrefDes);
	}):plus.nativeUI.alert('当前环境无法支持分享操作!');
}

var sharecontent = "知数 – 一个“智慧”的B2B客户推荐平台,助力企业精准找到客户!";
/**
 * 分享操作
 * @param {JSON} sb 分享操作对象s.s为分享通道对象(plus.share.ShareService)
 * @param {Boolean} bh 是否分享链接
 */
function shareAction(sb, bh,sharehref,sharehrefTitle,sharehrefDes) {
	if(!sb || !sb.s) {
		return;
	}
	var msg = { content: sharecontent, extra: { scene: sb.x } };
	console.log(bh);
	if(bh) {
		msg.href = sharehref;
		if(sharehrefTitle && sharehrefTitle != "") {
			msg.title = sharehrefTitle;
		}
		if(sharehrefDes && sharehrefDes != "") {
			msg.content = sharehrefDes;
		}
		msg.thumbs = ["_www/logo.png"];
		msg.pictures = ["_www/logo.png"];
	} else {
		if(sharehrefTitle && sharehrefTitle != "") {
			msg.content = sharehrefTitle;
		}
	}
	// 发送分享
	if(sb.s.authenticated) {
		shareMessage(msg, sb.s);
	} else {
		sb.s.authorize(function() {
			shareMessage(msg, sb.s);
		}, function(e) {});
	}
}

/**
 * 发送分享消息
 * @param {JSON} msg
 * @param {plus.share.ShareService} s
 */
function shareMessage(msg, s) {
	s.send(msg, function() {
		mui.alert('分享到' + s.description + '成功！ ', '', function() {});
	}, function(e) {});
}

function plusReady() {
	updateSerivces();
}
if(window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}