var w=null;
var pays={};
var PAYSERVER = WEB_URL() + 'orderPay/payOrderCreate';
// 获取支付通道
function plusReady(){
	plus.payment.getChannels(function(channels){
		for(var i in channels){
			var channel=channels[i];
			if("alipay" == channel.id){
				pays[channel.id]=channel;
//				var alipayway=document.getElementById('alipayway');
//				alipayway.setAttribute('payid', channel.id);
				checkServices(channel);
				break;
			}
		}
	},function(e){
		outLine('获取支付通道失败：'+e.message);
	});
} 

document.addEventListener('plusready', plusReady, false);

// 检测是否安装支付服务
function checkServices(pc){
	if(!pc.serviceReady){
		var txt=null;
		switch(pc.id){
			case 'alipay':
			txt='检测到系统未安装“支付宝快捷支付服务”，无法完成支付操作，是否立即安装？';
			break;
			default:
			txt='系统未安装“'+pc.description+'”服务，无法完成支付，是否立即安装？';
			break;
		}
		plus.nativeUI.confirm(txt, function(e){
			if(e.index==0){
				pc.installService();
			}
		}, pc.description);
	}
}

// 支付
function pay(id,number,orderId){
	if(w){return;}//检查是否请求订单中
	console.log('----- 请求支付 -----');
	var url=PAYSERVER;
	if(id=='alipay'||id=='wxpay'){
		var userinfo = localStorage.getItem('$longshine_info') || "{}";
		var user = JSON.parse(userinfo);
		url += "?payid=" +  id + "&number=" + number +"&userId=" + user.userId+"&order_id="+orderId;
		console.log(url)
	}else{
		plus.nativeUI.alert('当前环境不支持此支付通道！', null, '捐赠');
		return;
	}
	var appid=plus.runtime.appid;
	if(navigator.userAgent.indexOf('StreamApp')>=0){
		appid='Stream';
	}
	
	w=plus.nativeUI.showWaiting();
	// 请求支付订单
	var xhr=new XMLHttpRequest();
	xhr.onreadystatechange=function(){
		switch(xhr.readyState){
			case 4:
			w.close();w=null;
			if(xhr.status==200){
				console.log('----- 请求订单成功 -----');
				console.log(xhr.responseText);
				var order=xhr.responseText;
				plus.payment.request(pays[id],order,function(result){
					console.log('----- 支付成功 -----');
					paySuccess(result);
				},function(e){
					console.log('----- 支付失败 -----');
					console.log('['+e.code+']：'+e.message);
				});
			}else{
				console.log('----- 请求订单失败 -----');
				console.log( xhr.status );
				mui.alert("获取订单信息失败！","提醒",function(){});
			}
			break;
			default:
			break;
		}
	}
	xhr.open('GET',url);
	xhr.send();
}